<!--
  Generated template for the SelectedprojPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header class="header-container">
	<ion-navbar hideBackButton color="mainColor" class="header-inner">
	  	<ion-buttons class="back-btn-container" start>
	      	<button ion-button icon-only (click)="backBtn()" class="back-btn"></button>
	    </ion-buttons>
	    <ion-title class="header-title"><span class="title">{{ board.boardName }}</span></ion-title>
	</ion-navbar>

</ion-header>


<ion-content padding class="wrap-all">
	<ion-slides pager>
		
		<div *ngFor="let taskSectionList of taskList$ | async">
		  	<ion-slide *ngIf="!taskSectionList.isTaskCompletedSection">
		    	<div class="section-header-container">
		    		<p class="section-header">{{ taskSectionList.taskSectionTitle }}</p>
		    		<button class="more-options-button" *ngIf="isAdmin" (click)="moreOptions(taskSectionList.key, taskSectionList.taskSectionTitle, taskSectionList)"></button>
		    	</div>
		    	<div class="ion-list">
		    		<div class="no-task-container" *ngIf="!taskSectionList.task && !isAdmin">
		    			<p class="no-task">This section has no task yet.</p>
		    		</div>
		    		<div class="task-container" *ngIf="taskSectionList.task">
		    			<div class="task-item-container" *ngFor="let tasks of taskSectionList | gettask" (click)="showSelectedTaskModal(taskSectionList.key, tasks.key)" (press)="selectedTaskOptions(taskSectionList, tasks.key, tasks)">
		    				<div class="task-name-container">
			    				<p class="task-name">{{ tasks.taskName }}</p>
			    			</div>
			    			<div class="task-attribute-container">
			    				<div class="priority-container red" *ngIf="tasks.priority == 'Urgent'">
			    					<p class="priority">Urgent</p>
			    				</div>
			    				<div class="priority-container orange" *ngIf="tasks.priority == 'High'">
			    					<p class="priority">High</p>
			    				</div>
			    				<div class="priority-container green" *ngIf="tasks.priority == 'Normal'">
			    					<p class="priority">High</p>
			    				</div>
			    				<div class="priority-container grey" *ngIf="tasks.priority == 'Low'">
			    					<p class="priority">High</p>
			    				</div>
			    				<div class="element-container" *ngIf="tasks.taskDue || tasks.subTask || tasks.poll || tasks.assignedMember">
			    					<ul class="element-list">
			    						<li *ngIf="tasks.taskDue"><button class="due-icon"></button></li>
			    						<li *ngIf="tasks.subTask"><button class="subt-icon"></button></li>
			    						<li *ngIf="tasks.poll"><button class="poll-icon"></button></li>
			    						<li *ngIf="tasks.assignedMember"><button class="assign-icon"></button></li>
			    					</ul>
			    				</div>
			    			</div>
		    			</div>
		    		</div>
		    		<div class="task-section-add-new-task-outer-container" *ngIf="!taskAddPending && isAdmin">
						<div class="task-section-add-new-task-container" *ngIf="!taskSectionList.task" (click)="addTask()">
							<p class="task-section-add-new-task">+ Add a task</p>
						</div>
						<div class="task-section-add-new-task-container" *ngIf="taskSectionList.task" (click)="addTask()">
							<p class="task-section-add-new-task">+ Add another task</p>
						</div>
					</div>
					<div class="task-section-add-new-task-input-outer-container" *ngIf="taskAddPending && isAdmin">
						<div class="add-new-task-name-input-container" >
							<ion-input type="text" #taskNameInput [(ngModel)]="task.taskName" class="add-new-task-name-input"></ion-input>
						</div>
						<div class="cancel-add-task-button">
							<a class="cancel-btn" (click)="addOrCancelTask('cancel', taskSectionList.key, task)">Cancel</a>
							<a class="add-btn" (click)="addOrCancelTask('add', taskSectionList.key, task)">Add</a>
						</div>
					</div>
		    	</div>
		  	</ion-slide>
		</div>
		
		<div *ngFor="let taskSectionList of taskList$ | async">
		  	<ion-slide *ngIf="taskSectionList.isTaskCompletedSection">
		    	<div class="section-header-container">
		    		<p class="section-header">{{ taskSectionList.taskSectionTitle }}</p>
		    		<button class="more-options-button" *ngIf="isAdmin" (click)="moreOptions(taskSectionList.key, taskSectionList.taskSectionTitle, taskSectionList)"></button>
		    	</div>
		    	<div class="ion-list">
		    		<div class="no-task-container" *ngIf="!taskSectionList.task">
		    			<p class="no-task">No task completed yet.</p>
		    		</div>
		    		<div class="task-container" *ngIf="taskSectionList.task">
		    			<div class="task-item-container" *ngFor="let tasks of taskSectionList | gettask" (click)="showSelectedTaskModal(taskSectionList.key, tasks.key)" (press)="selectedTaskOptions(taskSectionList, tasks.key, tasks)">
		    				<div class="task-name-container">
			    				<p class="task-name">{{ tasks.taskName }}</p>
			    			</div>
			    			<div class="task-attribute-container">
			    				<div class="priority-container red" *ngIf="tasks.priority == 'Urgent'">
			    					<p class="priority">Urgent</p>
			    				</div>
			    				<div class="priority-container orange" *ngIf="tasks.priority == 'High'">
			    					<p class="priority">High</p>
			    				</div>
			    				<div class="priority-container green" *ngIf="tasks.priority == 'Normal'">
			    					<p class="priority">High</p>
			    				</div>
			    				<div class="priority-container grey" *ngIf="tasks.priority == 'Low'">
			    					<p class="priority">High</p>
			    				</div>
			    				<div class="element-container" *ngIf="tasks.taskDue || tasks.subTask || tasks.poll || tasks.assignedMember">
			    					<ul class="element-list">
			    						<li *ngIf="tasks.taskDue"><button class="due-icon"></button></li>
			    						<li *ngIf="tasks.subTask"><button class="subt-icon"></button></li>
			    						<li *ngIf="tasks.poll"><button class="poll-icon"></button></li>
			    						<li *ngIf="tasks.assignedMember"><button class="assign-icon"></button></li>
			    					</ul>
			    				</div>
			    			</div>
		    			</div>
		    		</div>
		    	</div>
		  	</ion-slide>
		</div>

		<ion-slide *ngIf="!addSectionPending && isAdmin">
			<div class="add-section-container">
				<a class="add-section-link" (click)="addSections()">+ Add Section</a>
			</div>
		</ion-slide>

		<ion-slide *ngIf="addSectionPending && isAdmin">
			<div class="add-new-section-input-container">
				<ion-card class="add-new-section-input-card">
					<div class="add-new-section-name-input-container">
						<ion-input type="text" [(ngModel)]="taskSection.taskSectionTitle"></ion-input>
					</div>
					<div class="task-completed-section-input-outer-container" *ngIf="!board.hasTaskCompleteSection">
						<ion-item class="task-completed-section-input-container">
							<ion-label class="task-completed-section-label">Task Completed Section</ion-label>
							<ion-toggle checked="false" class="task-completed-section-toggle"
								[(ngModel)]="taskSection.isTaskCompletedSection"></ion-toggle>
						</ion-item>
					</div>
					<div class="cancel-add-button">
						<a class="cancel-btn" (click)="addOrCancelSection('cancel', taskSection)">Cancel</a>
						<a class="add-btn" (click)="addOrCancelSection('add', taskSection)">Add</a>
					</div>
				</ion-card>
			</div>
		</ion-slide>

	</ion-slides>
	<ion-item [hidden]="hideComponent">
		<ion-label>Move To Task Section:</ion-label>
		<ion-select #taskSectionList [(ngModel)]="selectedTaskSectionKey" (ionChange)="selectedTaskSect()">
			<div *ngFor="let taskSect of taskList$ | async; let i = index">
				<ion-option *ngIf="taskSect.key != selectedTaskSectKey" [value]="taskSect" (ionSelect)="getIndex(i)">{{ taskSect.taskSectionTitle }}</ion-option>
			</div>
		</ion-select>
	</ion-item>
</ion-content>
